[tool.poetry]
name = "hecate"
version = "v3.11.1"
description = "Package for forecast demand"
authors = [
    "Denis Petrenko <dp@jumeplatform.com>",
    "Natalia Ivanova <ni@jumeplatform.com>",
    "Emil Nishanov <en@jumeplatform.com>",
    "Konstantin Losev <kl@jumeplatform.com>",
    "Ekaterina Kan <ek@jumeplatform.com>"
]
maintainers = [
    "Denis Petrenko <dp@jumeplatform.com>",
    "Konstantin Losev <kl@jumeplatform.com>",
    "Ekaterina Kan <ek@jumeplatform.com>"
]
repository = "https://git.advncd.com/augmento/hecate"
homepage = "https://jumeplatform.com/"
documentation = "https://dev.hecate.api.jumeforecast.com:42080/docs#/"
readme = "ReadMe.md"
packages = [{ include = "hecate" }]


[tool.poetry.dependencies]
python = "~3.10"
fastapi = ">=0.85.0,<0.86.0"
pandas = ">=1.4.1,<1.5.0"
pyarrow = ">=7.0.0,<7.1.0"
requests = ">=2.27.1,<2.28.0"
xgboost = ">=1.6.0,<1.7.0"
scikit-learn = ">=1.0.2,<1.1.0"
statsmodels = "0.13.2"
joblib = "1.2.0"
numpy = ">=1.23.3,<1.24.0"
scipy = ">=1.9.1,<1.10.0"
uvicorn = ">=0.18.3,<0.19.0"
python-dotenv = ">=0.21.0,<0.22.0"
pydantic = "1.10.2"
celery = ">=5.2.7,<5.3.0"
redis = ">=3.5.3,<3.6.0"
toml = "^0.10.2"


[tool.poetry.group.dev.dependencies]
pytest = ">=7.1.2,<7.2.0"
pytest-cov = ">=3.0.0,<3.1.0"
pytest-mock = ">=3.10.0,<3.11.0"
pre-commit = ">=2.19.0,<2.20.0"
flake8 = ">=4.0.1,<4.1.0"
gitpython = ">=3.1.18,<3.2.0"
psycopg2-binary = ">=2.9.5,<2.10.0"
click = ">=8.1.3,<8.2.0"
tqdm = ">=4.64.1,<4.65.0"
pytest-flake8 = "^1.1.1"
ipykernel = "^6.27.1"
matplotlib = "^3.8.2"


[tool.poetry.group.ci_tests.dependencies]
pandas = ">=1.4.1,<1.5.0"
requests = ">=2.27.1,<2.28.0"
pyarrow = ">=7.0.0,<7.1.0"



[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
